Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class Ip2XMLConfig.HtmlFiles

    java.lang.Object
      ix.util.xml.AbstractFileSyntax
          ix.ip2.Ip2XMLConfig.HtmlFiles

All Implemented Interfaces:
  FileSyntax, Loader, Saver

Enclosing class:
  Ip2XMLConfig

    public static class Ip2XMLConfig.HtmlFiles

extends AbstractFileSyntax

HTML file syntax for plan output.

Nested Class Summary

Nested classes/interfaces inherited from interface ix.util.xml.FileSyntax
`FileSyntax.RDFFiles, FileSyntax.XMLFiles`

Field Summary

Fields inherited from class ix.util.xml.AbstractFileSyntax
`ANY_CLASS`

Constructor Summary
`Ip2XMLConfig.HtmlFiles()`

Method Summary
`boolean` | `canWrite()` Is writing supported?
`java.lang.String` | `getFileTypeDescription()` Returns a short description of the type of files understood by this FileSyntax.
`java.util.List` | `getFileTypes()` Returns a set of strings representing file types / extensions.
`java.util.List` | `writableClasses()` The classes whose instances can be written out.
`void` | `writeObject(java.lang.Object obj, java.io.File file)`

Methods inherited from class ix.util.xml.AbstractFileSyntax
`canRead, existsClass, isAvailable, makeInstance, readableClasses, readObject, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ip2XMLConfig.HtmlFiles

    public Ip2XMLConfig.HtmlFiles()

Method Detail

### getFileTypes

    public java.util.List getFileTypes()

  Description copied from interface: `FileSyntax`
  Returns a set of strings representing file types / extensions.

### getFileTypeDescription

    public java.lang.String getFileTypeDescription()

  Description copied from interface: `FileSyntax`
  Returns a short description of the type of files understood by this FileSyntax. The result should be a plural phrase such as "XML files" or "domain descriptions".

### canWrite

    public boolean canWrite()

  Description copied from interface: `FileSyntax`
  Is writing supported?

  Specified by:
    `canWrite` in interface `FileSyntax`
  Overrides:
    `canWrite` in class `AbstractFileSyntax`

### writableClasses

    public java.util.List writableClasses()

  Description copied from interface: `FileSyntax`
  The classes whose instances can be written out. General-purpose syntaxes can write (at least) instances of every class that has a `ClassSyntax`. They can return a list containing only Object.class.

  Specified by:
    `writableClasses` in interface `FileSyntax`
  Overrides:
    `writableClasses` in class `AbstractFileSyntax`

### writeObject

    public void writeObject(java.lang.Object obj,
                            java.io.File file)
                     throws java.io.IOException

  Specified by:
    `writeObject` in interface `Saver`
  Overrides:
    `writeObject` in class `AbstractFileSyntax`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD